Index: Fl_Menu_Type.cxx
===================================================================
--- Fl_Menu_Type.cxx	(revision 4006)
+++ Fl_Menu_Type.cxx	(working copy)
@@ -216,6 +216,17 @@
 }
 
 void Fl_Menu_Item_Type::write_item() {
+  static const char * const labeltypes[] = {
+    "FL_NORMAL_LABEL",
+    "FL_NO_LABEL",
+    "FL_SHADOW_LABEL",
+    "FL_ENGRAVED_LABEL",
+    "FL_EMBOSSED_LABEL",
+    "FL_MULTI_LABEL",
+    "FL_ICON_LABEL",
+    "FL_IMAGE_LABEL"
+  };
+
   write_c(" {");
   if (image) write_c("0");
   else if (label()) {
@@ -254,8 +265,8 @@
     write_c(" (void*)(%s),", user_data());
   else
     write_c(" 0,");
-  write_c(" %d, %d, %d, %d, %d", flags(),
-	  o->labeltype(), o->labelfont(), o->labelsize(), o->labelcolor());
+  write_c(" %d, %s, %d, %d, %d", flags(),
+	  labeltypes[o->labeltype()], o->labelfont(), o->labelsize(), o->labelcolor());
   write_c("},\n");
 }
 
